# classes/phing/input/YesNoInputRequest.php

Encapsulates an input request that returns a boolean (yes/no).

author
  Hans Lellelid
package
  phing.input
version
  $Revision: 526 $

## \YesNoInputRequest
jump to top

Encapsulates an input request that returns a boolean (yes/no).

Extends from
  \MultipleChoiceInputRequest
author
  Hans Lellelid
package
  phing.input
version
  $Revision: 526 $

### Methods

`getInput( ) : boolean`
Converts input to boolean.
Returns

Type | Description
--- | ---
boolean |

`isInputValid( ) : true`
Returns

Type | Description
--- | ---
true |

Documentation was generated by DocBlox 0.13.1.